Images: Image insertion uses both the English and the localised syntax for "right"
Closed, ResolvedPublic

Description

Reported initially in bug 49596:

ptwiki ("direita,right"): https://pt.wikipedia.org/w/index.php?&diff=36119075

plwiki ("prawo,right"): https://pl.wikipedia.org/w/index.php?diff=36790309

This feels like a Parsoid issue (VisualEditor doesn't know about localisations of these terms :-)) but Inez can tell us more details.


Version: unspecified
Severity: normal

bzimport added a project: Parsoid.Via ConduitNov 22 2014, 2:09 AM
bzimport set Reference to bz49849.
Jdforrester-WMF created this task.Via LegacyJun 20 2013, 1:12 AM
Inez added a comment.Via ConduitJun 20 2013, 3:42 AM

Correct - it is a Parsoid bug. Somehow it is similar to https://bugzilla.wikimedia.org/show_bug.cgi?id=48665 but definitely not a duplicate.

bzimport added a comment.Via ConduitJun 20 2013, 5:21 AM

winne2i wrote:

It's not a
(localised 'thumb'),right
this is
(localised 'right'),right
as I mentioned in bug 49596 comment 6.

bzimport added a comment.Via ConduitJun 20 2013, 5:22 AM

winne2i wrote:

(I also mentioned "/ramka/ means /frame/" but I suppose "ramka" would be localised "thumb"…?)

matmarex added a comment.Via ConduitJun 20 2013, 7:48 AM

These magic words are translateable at (for example for Polish) http://translatewiki.net/w/i.php?language=pl&module=words&title=Special%3AAdvancedTranslate - the entry for "right" says "prawo, right", which means both "prawo" and "right" are accepted and mean the canonical "right".

This looks as if Parsoid was calling (implicitly?) .toString() on an array of these terms instead of taking its first entry: ['prawo', 'right'].toString() == 'prawo,right'.

He7d3r added a comment.Via ConduitJun 21 2013, 11:51 AM

AFAIC, there is nothing wrong in using the localized version. The problem is to use both.

gerritbot added a comment.Via ConduitJun 24 2013, 10:57 PM

Related URL: https://gerrit.wikimedia.org/r/70343 (Gerrit Change I9717e9d4b3b79cc9e583fb74e3537fbb5112a7bf)

gerritbot added a comment.Via ConduitJun 24 2013, 11:18 PM

https://gerrit.wikimedia.org/r/70343 (Gerrit Change I9717e9d4b3b79cc9e583fb74e3537fbb5112a7bf) | change APPROVED and MERGED [by jenkins-bot]

Aklapper added a comment.Via ConduitJul 4 2013, 10:33 AM

[Parsoid component reorg by merging JS/General and General. See bug 50685 for more information. Filter bugmail on this comment. parsoidreorg20130704]

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.